#pragma once
#include "afxwin.h"


// CDevConfig 对话框

typedef struct __ConfigCMD 
{
	int iGetCMD;
	int iSetCMD;
	CString strCmdDescribe;
}ConfigCMD;

extern ConfigCMD g_strCMD[];
extern const int g_iCmdCount;


class CDevConfig : public CDialog
{
	DECLARE_DYNAMIC(CDevConfig)

public:
	CDevConfig(CRect rcWnd, CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDevConfig();

// 对话框数据
	enum { IDD = IDD_DLG_DEVCONFIG };
	
	
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()

private:
	CRect m_rcClient;
	virtual BOOL OnInitDialog();
	CStatic m_ctlGroup;
	CEdit m_ctlEDConfig;
	CComboBox m_ctlCBCfgCmd;
	afx_msg void OnBnClickedBtnGet();
	afx_msg void OnBnClickedBtnSet();
	int m_iCurAction;
	int m_iCurUserID;
	CStatic m_ctlIP;
public:
	void SetSelIP(CString &strIP);
public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
public:
//	afx_msg void OnCbnSelendcancelCbCfgCmd();
public:
	afx_msg void OnCbnSelchangeCbCfgCmd();
	afx_msg HRESULT OnDevAux(WPARAM wParam, LPARAM lParam);
public:
//	afx_msg void OnCbnSelendokCbCfgCmd();
public:
	CString m_strIP;
};
